package org.jboss.cache.aop.test.propagation;

import java.util.List;

/**
 * @@org.jboss.cache.aop.InstanceOfAopMarker
*/
public interface Node {
   public void setNodeRDN(String rdn);

   public String getNodeRDN();

   public void setNodeFDN(String fdn);

   public String getNodeFDN();

   public void addChildNode(Node child);

   public List getChildren();

   public void setParentNode(Node parent);

   public Node getParentNode();

   public void addStateItem(StateItem stateItem);

   public void setSummaryStateItem(StateItem stateItem);

   public StateItem getSummaryStateItem();

   public List getStateItems();

   public StateItem findStateItem(long itemId);

   public void setPropagationRule(PropagationRule rule);

   public PropagationRule getPropagationRule();
}
